Name:           perl-File-HomeDir
Version:        0.86
Release:        1%{?dist}
Summary:        Get the home directory for yourself or other users
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/File-HomeDir/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/File-HomeDir-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::CPAN::Meta)
BuildRequires:  perl(Test::MinimumVersion)
BuildRequires:  perl(Test::Pod)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
File::HomeDir is a module for locating the directories that are "owned"
by a user (typically your user) and to solve the various issues that
arise trying to find them consistently across a wide variety of
platforms.

%prep
%setup -q -n File-HomeDir-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test AUTOMATED_TESTING=1

%clean
rm -rf %{buildroot}

%files
%doc Changes LICENSE README
%{perl_vendorlib}/File/
%{_mandir}/man3/File::HomeDir.3pm*
%{_mandir}/man3/File::HomeDir::Darwin.3pm*
%{_mandir}/man3/File::HomeDir::Unix.3pm*
%{_mandir}/man3/File::HomeDir::Windows.3pm*

%changelog
* Sun Mar 18 2012 Paul Howarth <paul@city-fan.org> - 0.86-1
- Update to 0.86 (#803044)
  - Add a special case to pass users_home(current user) on to my_home
  - Add 'my_dot_config'
  - Add a base driver class
  - File::HomeDir should now support "Perl on a Stick"
  - Localise $@ during evals
  - When we get more than one warning, diag the warnings so that we actually
    have a chance to get rid of the extra warnings
  - Bug fix for the 64-bit implementation
- BR: perl(ExtUtils::MakeMaker) for module build
- BR: perl(Carp), perl(Config), perl(Cwd) and perl(File::Spec) for module
- BR: perl(Test::CPAN::Meta) and perl(Test::MinimumVersion) for test suite
- Drop %%defattr, redundant since rpm 4.4
- Make %%files list more explicit
- Don't use macros for commands
- Don't need to remove empty directories from buildroot
- Don't need to fix permissions of files from upstream tarball
- Fix license tag
- Improve %%description
- Use %%{_fixperms} macro rather than our own chmod incantation
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Use search.cpan.org URL

* Thu Jan  4 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.62-1
- Update to 0.62

* Thu Aug 03 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.58-1
- First build
